/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.collContext;

/**
 * Constants that are used in the Collection Context process.
 * 
 * @author jblake
 */
public class CollectionContextConstants {
	/**
	 * String to use as OAI GetRecord request, with OAI identifier concatenated
	 * on the end.
	 */
	public static final String OAI_GETRECORD_REQUEST_PREFIX = "http://ndr.nsdl.org/oai?"
			+ "verb=GetRecord&metadataPrefix=nsdl_dc&identifier=";

	/**
	 * Collection of collection OAI id for NDR.
	 */
	public static final String COLL_OF_COLL_OAI_ID = "oai:nsdl.org:nsdl:4002";

}
