/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.lucene.wrapper;

import java.io.File;
import java.util.Collection;
import java.util.Date;

/**
 * A simple data holder implementation of {@link IndexSummaryInfo}.
 * 
 * @author jblake
 */
public class IndexSummaryInfoImpl extends IndexSummaryInfo {
	private long version;
	private Date lastModified;
	private int numDocs;
	private File indexDirectory;
	private Collection<String> fieldNames;
	private Collection<String> storedFieldNames;
	private Collection<String> searchableFieldNames;
	public long getVersion() {
		return version;
	}
	public void setVersion(long version) {
		this.version = version;
	}
	public Date getLastModified() {
		return lastModified;
	}
	public void setLastModified(Date lastModified) {
		this.lastModified = lastModified;
	}
	public int getNumDocs() {
		return numDocs;
	}
	public void setNumDocs(int numDocs) {
		this.numDocs = numDocs;
	}
	public File getIndexDirectory() {
		return indexDirectory;
	}
	public void setIndexDirectory(File indexDirectory) {
		this.indexDirectory = indexDirectory;
	}
	public Collection<String> getFieldNames() {
		return fieldNames;
	}
	public void setFieldNames(Collection<String> fieldNames) {
		this.fieldNames = fieldNames;
	}
	public Collection<String> getStoredFieldNames() {
		return storedFieldNames;
	}
	public void setStoredFieldNames(Collection<String> storedFieldNames) {
		this.storedFieldNames = storedFieldNames;
	}
	public Collection<String> getSearchableFieldNames() {
		return searchableFieldNames;
	}
	public void setSearchableFieldNames(Collection<String> searchableFieldNames) {
		this.searchableFieldNames = searchableFieldNames;
	}

}
