package org.nsdl.search.lucene.wrapper;

import org.nsdl.search.lucene.searchdoc.SearchDocument;

/**
 * A single result from a query (part of a {@link SearchResults}). It contains
 * a document and some information about the document.
 * 
 * @author jblake
 */
public interface SearchResult {

	/**
	 * Where in the search results would this be if we hadn't skipped any?
	 */
	long getPosition();

	/**
	 * How good a match was it?
	 */
	float getScore();

	/**
	 * The document itself.
	 */
	SearchDocument getDocument();

	/**
	 * Best passage, with query terms highlighted.
	 */
	String getBestPassage();
}
