/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.lucene.wrapper;

import org.nsdl.search.lucene.searchdoc.SearchDocument;

/**
 * An immutable implementation of {@link SearchResult}.
 * 
 * @author jblake
 */
public class SearchResultImpl implements SearchResult {
	private final long position;
	private final float score;
	private final SearchDocument document;
	private final String bestPassage;

	public SearchResultImpl(long position, float score,
			SearchDocument document, String bestPassage) {
		this.position = position;
		this.score = score;
		this.document = document;
		this.bestPassage = bestPassage;
	}

	public SearchDocument getDocument() {
		return document;
	}

	public long getPosition() {
		return position;
	}

	public float getScore() {
		return score;
	}

	public String getBestPassage() {
		return bestPassage;
	}

}
