/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.lucene.wrapper;

/**
 * The set of results that came from a query. It has a collection of
 * {@link SearchResult}s, and some overall info.
 * 
 * @author jblake
 */
public interface SearchResults extends Iterable<SearchResult> {

	/**
	 * How many results were found?
	 */
	int getTotalCount();

	/**
	 * How many did you ask to skip?
	 */
	int getSkipCount();

	/**
	 * How many are being returned?
	 */
	int getReturnCount();
	
	/**
	 * Get a specific result.
	 */
	SearchResult getResult(int index);

}
