/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.oai.harvest;

/**
 * Constants used for Simeon Warner's perl OAI harvester.
 * 
 * @version $Id: OAIHarvestConfig.java,v 1.4 2007/03/18 22:29:45 jblake Exp $
 */
public abstract class OAIHarvestConfig {
	/** Script to run Simeon's harvester. */
	public static final String OAI_HARVEST_COMMAND = "perl /usr/local/OAIharvester/oaiharvest.pl";

	/** Filename (relative) of log for Simeon's OAI harvester. */
	public static final String HARVEST_LOG_FNAME = "oaiHarvestLog.txt";

	/** String to match on to find cumulative record counts in harvest log. */
	public static final String HARVEST_LOG_TOTAL_REC_COUNT_PREFIX = "(running total: ";

	/** String to match on to find end of cumulative record count in harvest log. */
	public static final String HARVEST_LOG_TOTAL_REC_COUNT_SUFFIX = ")";

	/**
	 * String to match on to find record count per ListRecords response in
	 * harvest log.
	 */
	public static final String HARVEST_LOG_NUM_RECS_PER_RESPONSE_PREFIX = "oaiharvest.pl: Got ";

	/** String to match on to find end of record count per ListRecords response. */
	public static final String HARVEST_LOG_NUM_RECS_PER_RESPONSE_SUFFIX = " records "
			+ HARVEST_LOG_TOTAL_REC_COUNT_PREFIX;

	/** String to match on to find ListRecords arguments in harvest log. */
	public static final String HARVEST_ARGS_PREFIX = " args: ";

	/** String to match on to find baseURL in arguments line in harvest log. */
	public static final String HARVEST_BASEURL_PREFIX = " to ";

	/** String to match on harvest with no records returned. */
	public static final String HARVEST_LOG_NO_RECORDS_MATCH = "There are no matching records for request";
}
