/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.oai.harvest;

import org.nsdl.search.SearchException;

/**
 * Indicates a problem when parsing the OAI Harvest log.
 * 
 * @author jblake
 */
public class OaiLogFormatException extends SearchException {

	public OaiLogFormatException() {
		super();
	}

	public OaiLogFormatException(String message) {
		super(message);
	}

	public OaiLogFormatException(Throwable cause) {
		super(cause);
	}

	public OaiLogFormatException(String message, Throwable cause) {
		super(message, cause);
	}

}
