/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.processoai;

/**
 * An unrecoverable XML exception - the program might as well just drop dead.
 * 
 * Examples: can't create a DocumentBuilder (jar is missing?)
 * 
 * @author jblake
 */
public class FatalXmlException extends RuntimeException {

	public FatalXmlException() {
		super();
	}

	public FatalXmlException(String message, Throwable cause) {
		super(message, cause);
	}

	public FatalXmlException(String message) {
		super(message);
	}

	public FatalXmlException(Throwable cause) {
		super(cause);
	}

}
