/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.util;

/**
 * Configuration parameters for the Search Service as a whole.
 * 
 * @author jblake
 */
public interface SearchServiceConfig {
	/**
	 * A text string that provides a name for the service. Available as part of
	 * the <code>/indexInfo</code> request, and maybe elsewhere.
	 */
	String getServiceName();

	/**
	 * A text string that provides a description of the service, which should at
	 * least include contact info and a reference to any online documentation.
	 * Available as part of the <code>/indexInfo</code> request, and maybe
	 * elsewhere.
	 */
	String getServiceDescription();
}
