/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.utilities.data;

import java.util.Collection;

/**
 * The interface of a counting set.
 * 
 * @param <T>
 *            The type of object that defines the bucket boundaries.
 * 
 * @author jblake
 */
public interface Histogram<T extends Comparable<T>> {
	void countThis(T value);
	Collection<Bucket> getBuckets();

	/** The categories that are counted in the Histogram. */
	public interface Bucket {
		/** Get a label for displaying the bucket. */
		String getLegend();
		
		/** Get the count for this bucket. */
		int getCount();
	}
}
