/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.utilities.indexcleaner;

/**
 * Keep track of the cleaning progress.
 * 
 * @author jblake
 */
public class IndexCleanerStats {
	private boolean endedOnException;
	private int numberOfRecords;
	private int checkedRecords;
	private int deletedRecords;

	public void setNumberOfRecords(int numberOfRecords) {
		this.numberOfRecords = numberOfRecords;
	}

	public int getNumberOfRecords() {
		return numberOfRecords;
	}

	public void incrementCheckedRecords() {
		checkedRecords++;
	}

	public int getCheckedRecords() {
		return checkedRecords;
	}

	public void incrementDeletedRecords() {
		deletedRecords++;
	}

	public int getDeletedRecords() {
		return deletedRecords;
	}

	public void setEndedOnException() {
		endedOnException = true;
	}

	public boolean isEndedOnException() {
		return endedOnException;
	}

}
