/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.utilities.lucenescan;

/**
 * Indicates a problem with the command line arguments when invoking the
 * LuceneScan.
 * 
 * The usage message string is not hardcoded so subclasses of LuceneScan can
 * specify their own usage requirements.
 * 
 * @author jblake
 */
public class LuceneScanUsageException extends Exception {

	private final String usage;

	public LuceneScanUsageException(String message, String usage) {
		super(message);
		this.usage = usage;
	}

	public String getUsage() {
		return usage;
	}

}
