/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.utilities.lucenescan.fieldcounter;

import org.apache.lucene.document.Field;

/**
 * 
 * @author jblake
 */
public class FieldInfo {
	private final Field field;
	private int count;

	public FieldInfo(Field field) {
		this.field = field;
		this.count = 0;
	}

	public void incrementCount() {
		count++;
	}

	public int getCount() {
		return count;
	}

	public String formatAttributes() {
		return ((field.isBinary()) ? "Binary" : "Text")
				+ ((field.isCompressed()) ? "(Compressed)" : "") + ", "
				+ ((field.isStored()) ? "Stored" : "Not stored") + ", "
				+ ((field.isIndexed()) ? "Indexed" : "Not indexed") + ", "
				+ ((field.isTokenized()) ? "Tokenized" : "Not tokenized");
	}
}
