/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package samples;

/**
 * Some query results to use in the unit tests.
 * 
 * @author jblake
 */
public class SampleQueryResults {

	/**
	 * The result of a query that matches no documents.
	 */
	public static String getEmptyResult() {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n"
				+ "<NSDLSearchService xmlns=\"http://ns.nsdl.org/search/rest_v2.01/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dct=\"http://purl.org/dc/terms/\" xmlns:ieee=\"http://www.ieee.org/xsd/LOMv1p0\" xmlns:nsdl_dc=\"http://ns.nsdl.org/nsdl_dc_v1.02/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" schemaVersion=\"2.01.000\" xsi:schemaLocation=\"http://ns.nsdl.org/search/rest_v2.01/ http://ns.nsdl.org/schemas/search/rest_v2.01.xsd\">\n"
				+ "    <responseTime>2007-06-14T13:27:35Z</responseTime>\n"
				+ "    <request>http://myServer/servlet</request>\n"
				+ "    <SearchResults>\n"
				+ "        <resultsInfo>\n"
				+ "            <totalNumResults>0</totalNumResults>\n"
				+ "            <numSkipped>0</numSkipped>\n"
				+ "            <numReturned>0</numReturned>\n"
				+ "        </resultsInfo>\n"
				+ "        <results/>\n"
				+ "    </SearchResults>\n" + "</NSDLSearchService>\n";
	}

	/**
	 * The result of a query that matches
	 * {@link SampleSearchDocuments#getFrogDissectionDocument()}.
	 */
	public static String getFrogDissectionResult() {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n"
				+ "<NSDLSearchService xmlns=\"http://ns.nsdl.org/search/rest_v2.01/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dct=\"http://purl.org/dc/terms/\" xmlns:ieee=\"http://www.ieee.org/xsd/LOMv1p0\" xmlns:nsdl_dc=\"http://ns.nsdl.org/nsdl_dc_v1.02/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" schemaVersion=\"2.01.000\" xsi:schemaLocation=\"http://ns.nsdl.org/search/rest_v2.01/ http://ns.nsdl.org/schemas/search/rest_v2.01.xsd\">\n"
				+ "    <responseTime>2007-06-14T13:27:36Z</responseTime>\n"
				+ "    <request>http://myServer/servlet</request>\n"
				+ "    <SearchResults>\n"
				+ "        <resultsInfo>\n"
				+ "            <totalNumResults>50</totalNumResults>\n"
				+ "            <numSkipped>10</numSkipped>\n"
				+ "            <numReturned>1</numReturned>\n"
				+ "        </resultsInfo>\n"
				+ "        <results>\n"
				+ "            <document>\n"
				+ "                <position>0</position>\n"
				+ "                <score>1.0</score>\n"
				+ "                <header>\n"
				+ "                    <resourceIdentifier>http://www-itg.lbl.gov/vfrog</resourceIdentifier>\n"
				+ "                    <lastIndexed>2007-06-14T13:27:36Z</lastIndexed>\n"
				+ "                    <metadataLastModified>1970-01-01T00:00:00Z</metadataLastModified>\n"
				+ "                </header>\n"
				+ "                <fields>\n"
				+ "                    <dc:description>Virtual Frog Dissection Kit This award-winning interactive program is part of the &quot;Whole Frog&quot; project. You can interactively dissect a (digitized) frog named Fluffy, make movies, and play the Virtual Frog Builder Game. The interactive Web pages are available in a number of languages.</dc:description>\n"
				+ "                    <dc:description>Dissect a virtual frog.</dc:description>\n"
				+ "                    <dc:subject>Dissection kit version virtual frog</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection K-12 education</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection kit version virtual</dc:subject>\n"
				+ "                    <dc:subject>Home page</dc:subject>\n"
				+ "                    <dc:subject>Kit version virtual frog dissection</dc:subject>\n"
				+ "                    <dc:subject>Version virtual frog dissection kit</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog dissection kit</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog dissection kit version</dc:subject>\n"
				+ "                    <dc:subject>Animations</dc:subject>\n"
				+ "                    <dc:subject>CAI</dc:subject>\n"
				+ "                    <dc:subject>COMPUTER-ASSISTED INSTRUCTION</dc:subject>\n"
				+ "                    <dc:subject>DISSECTION</dc:subject>\n"
				+ "                    <dc:subject>FROGS</dc:subject>\n"
				+ "                    <dc:subject>Images</dc:subject>\n"
				+ "                    <dc:subject>K-12</dc:subject>\n"
				+ "                    <dc:subject>Photographs</dc:subject>\n"
				+ "                    <dc:subject>Photos</dc:subject>\n"
				+ "                    <dc:subject>Pictorial works</dc:subject>\n"
				+ "                    <dc:subject>SECONDARY</dc:subject>\n"
				+ "                    <dc:subject>Secondary education</dc:subject>\n"
				+ "                    <dc:subject>Web</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">Anatomy</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">DISSECTION -- LABORATORY MANUALS</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">FROGS -- ANATOMY</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">FROGS -- PHYSIOLOGY</dc:subject>\n"
				+ "                    <dc:title>Virtual Frog Dissection Kit Version 2.0</dc:title>\n"
				+ "                    <dc:title>Virtual Frog Dissection Kit</dc:title>\n"
				+ "                    <compoundDescription>Virtual Frog Dissection Kit This award-winning interactive program is part of the &quot;Whole Frog&quot; project. You can interactively dissect a (digitized) frog named Fluffy, make movies, and play the Virtual Frog Builder Game. The interactive Web pages are available in a number of languages. ~^ Dissect a virtual frog.</compoundDescription>\n"
				+ "                    <compoundSubject>Dissection kit version virtual frog ~^ Frog dissection ~^ Frog dissection K-12 education ~^ Frog dissection kit version virtual ~^ Home page ~^ Kit version virtual frog dissection ~^ Version virtual frog dissection kit ~^ Virtual frog ~^ Virtual frog dissection kit ~^ Virtual frog dissection kit version ~^ Animations ~^ CAI ~^ COMPUTER-ASSISTED INSTRUCTION ~^ DISSECTION ~^ FROGS ~^ Images ~^ K-12 ~^ Photographs ~^ Photos ~^ Pictorial works ~^ SECONDARY ~^ Secondary education ~^ Web ~^ Anatomy ~^ DISSECTION -- LABORATORY MANUALS ~^ FROGS -- ANATOMY ~^ FROGS -- PHYSIOLOGY</compoundSubject>\n"
				+ "                    <compoundTitle>Virtual Frog Dissection Kit Version 2.0 ~^ Virtual Frog Dissection Kit</compoundTitle>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:496435</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"30\" width=\"100\">http://crs.nsdl.org/brands/496435.jpg</image>\n"
				+ "                            <altText>SCORE Science - Kids Corner</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:367822</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"20\" width=\"100\">http://crs.nsdl.org/brands/367822.jpg</image>\n"
				+ "                            <altText>INFOMINE: Scholarly Internet Resource Collections</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <metadataSource url=\"http://www-itg.lbl.gov/vfrog\">oai:nsdl.org:2200-20061005112146167T</metadataSource>\n"
				+ "                    <metadataSource url=\"http://www-itg.lbl.gov/vfrog\">oai:nsdl.org:2200-20061002165020337T</metadataSource>\n"
				+ "                </fields>\n"
				+ "            </document>\n"
				+ "        </results>\n"
				+ "    </SearchResults>\n"
				+ "</NSDLSearchService>\n";
	}

	/**
	 * The result of a query that matches both
	 * {@link SampleSearchDocuments#getFrogDissectionDocument()} and
	 * {@link SampleSearchDocuments#getFrogExploratoriumDocument()}.
	 */
	public static String getTwoFrogsResult() {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n"
				+ "<NSDLSearchService xmlns=\"http://ns.nsdl.org/search/rest_v2.01/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dct=\"http://purl.org/dc/terms/\" xmlns:ieee=\"http://www.ieee.org/xsd/LOMv1p0\" xmlns:nsdl_dc=\"http://ns.nsdl.org/nsdl_dc_v1.02/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" schemaVersion=\"2.01.000\" xsi:schemaLocation=\"http://ns.nsdl.org/search/rest_v2.01/ http://ns.nsdl.org/schemas/search/rest_v2.01.xsd\">\n"
				+ "    <responseTime>2007-06-14T15:56:33Z</responseTime>\n"
				+ "    <request>http://myServer/servlet</request>\n"
				+ "    <SearchResults>\n"
				+ "        <resultsInfo>\n"
				+ "            <totalNumResults>50</totalNumResults>\n"
				+ "            <numSkipped>10</numSkipped>\n"
				+ "            <numReturned>2</numReturned>\n"
				+ "        </resultsInfo>\n"
				+ "        <results>\n"
				+ "            <document>\n"
				+ "                <position>0</position>\n"
				+ "                <score>1.0</score>\n"
				+ "                <header>\n"
				+ "                    <resourceIdentifier>http://www-itg.lbl.gov/vfrog</resourceIdentifier>\n"
				+ "                    <lastIndexed>2007-06-14T15:56:33Z</lastIndexed>\n"
				+ "                    <metadataLastModified>1970-01-01T00:00:00Z</metadataLastModified>\n"
				+ "                </header>\n"
				+ "                <fields>\n"
				+ "                    <dc:description>Virtual Frog Dissection Kit This award-winning interactive program is part of the &quot;Whole Frog&quot; project. You can interactively dissect a (digitized) frog named Fluffy, make movies, and play the Virtual Frog Builder Game. The interactive Web pages are available in a number of languages.</dc:description>\n"
				+ "                    <dc:description>Dissect a virtual frog.</dc:description>\n"
				+ "                    <dc:subject>Dissection kit version virtual frog</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection K-12 education</dc:subject>\n"
				+ "                    <dc:subject>Frog dissection kit version virtual</dc:subject>\n"
				+ "                    <dc:subject>Home page</dc:subject>\n"
				+ "                    <dc:subject>Kit version virtual frog dissection</dc:subject>\n"
				+ "                    <dc:subject>Version virtual frog dissection kit</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog dissection kit</dc:subject>\n"
				+ "                    <dc:subject>Virtual frog dissection kit version</dc:subject>\n"
				+ "                    <dc:subject>Animations</dc:subject>\n"
				+ "                    <dc:subject>CAI</dc:subject>\n"
				+ "                    <dc:subject>COMPUTER-ASSISTED INSTRUCTION</dc:subject>\n"
				+ "                    <dc:subject>DISSECTION</dc:subject>\n"
				+ "                    <dc:subject>FROGS</dc:subject>\n"
				+ "                    <dc:subject>Images</dc:subject>\n"
				+ "                    <dc:subject>K-12</dc:subject>\n"
				+ "                    <dc:subject>Photographs</dc:subject>\n"
				+ "                    <dc:subject>Photos</dc:subject>\n"
				+ "                    <dc:subject>Pictorial works</dc:subject>\n"
				+ "                    <dc:subject>SECONDARY</dc:subject>\n"
				+ "                    <dc:subject>Secondary education</dc:subject>\n"
				+ "                    <dc:subject>Web</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">Anatomy</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">DISSECTION -- LABORATORY MANUALS</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">FROGS -- ANATOMY</dc:subject>\n"
				+ "                    <dc:subject xsi:type=\"dct:LCSH\">FROGS -- PHYSIOLOGY</dc:subject>\n"
				+ "                    <dc:title>Virtual Frog Dissection Kit Version 2.0</dc:title>\n"
				+ "                    <dc:title>Virtual Frog Dissection Kit</dc:title>\n"
				+ "                    <compoundDescription>Virtual Frog Dissection Kit This award-winning interactive program is part of the &quot;Whole Frog&quot; project. You can interactively dissect a (digitized) frog named Fluffy, make movies, and play the Virtual Frog Builder Game. The interactive Web pages are available in a number of languages. ~^ Dissect a virtual frog.</compoundDescription>\n"
				+ "                    <compoundSubject>Dissection kit version virtual frog ~^ Frog dissection ~^ Frog dissection K-12 education ~^ Frog dissection kit version virtual ~^ Home page ~^ Kit version virtual frog dissection ~^ Version virtual frog dissection kit ~^ Virtual frog ~^ Virtual frog dissection kit ~^ Virtual frog dissection kit version ~^ Animations ~^ CAI ~^ COMPUTER-ASSISTED INSTRUCTION ~^ DISSECTION ~^ FROGS ~^ Images ~^ K-12 ~^ Photographs ~^ Photos ~^ Pictorial works ~^ SECONDARY ~^ Secondary education ~^ Web ~^ Anatomy ~^ DISSECTION -- LABORATORY MANUALS ~^ FROGS -- ANATOMY ~^ FROGS -- PHYSIOLOGY</compoundSubject>\n"
				+ "                    <compoundTitle>Virtual Frog Dissection Kit Version 2.0 ~^ Virtual Frog Dissection Kit</compoundTitle>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:496435</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"30\" width=\"100\">http://crs.nsdl.org/brands/496435.jpg</image>\n"
				+ "                            <altText>SCORE Science - Kids Corner</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:367822</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"20\" width=\"100\">http://crs.nsdl.org/brands/367822.jpg</image>\n"
				+ "                            <altText>INFOMINE: Scholarly Internet Resource Collections</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <metadataSource url=\"http://www-itg.lbl.gov/vfrog\">oai:nsdl.org:2200-20061005112146167T</metadataSource>\n"
				+ "                    <metadataSource url=\"http://www-itg.lbl.gov/vfrog\">oai:nsdl.org:2200-20061002165020337T</metadataSource>\n"
				+ "                </fields>\n"
				+ "            </document>\n"
				+ "            <document>\n"
				+ "                <position>1</position>\n"
				+ "                <score>0.5</score>\n"
				+ "                <header>\n"
				+ "                    <resourceIdentifier>http://www.exploratorium.edu/frogs</resourceIdentifier>\n"
				+ "                    <lastIndexed>2007-06-14T15:56:33Z</lastIndexed>\n"
				+ "                    <metadataLastModified>1970-01-01T00:00:00Z</metadataLastModified>\n"
				+ "                </header>\n"
				+ "                <fields>\n"
				+ "                    <dc:description>Frogs @ The Exploratorium: An online exhibition exploring the amazing, adaptable frog.</dc:description>\n"
				+ "                    <dc:subject>Adaptable frog</dc:subject>\n"
				+ "                    <dc:subject>Amphibians</dc:subject>\n"
				+ "                    <dc:subject>Deformed frogs</dc:subject>\n"
				+ "                    <dc:subject>Endangered</dc:subject>\n"
				+ "                    <dc:subject>Exploratorium</dc:subject>\n"
				+ "                    <dc:subject>Frogs</dc:subject>\n"
				+ "                    <dc:subject>Frogs and toads</dc:subject>\n"
				+ "                    <dc:subject>Frogs exhibition</dc:subject>\n"
				+ "                    <dc:subject>Frogs frogs</dc:subject>\n"
				+ "                    <dc:subject>Rain forest</dc:subject>\n"
				+ "                    <dc:title>Exploratorium: Frogs</dc:title>\n"
				+ "                    <compoundDescription>Frogs @ The Exploratorium: An online exhibition exploring the amazing, adaptable frog.</compoundDescription>\n"
				+ "                    <compoundSubject>Adaptable frog ~^ Amphibians ~^ Deformed frogs ~^ Endangered ~^ Exploratorium ~^ Frogs ~^ Frogs and toads ~^ Frogs exhibition ~^ Frogs frogs ~^ Rain forest</compoundSubject>\n"
				+ "                    <compoundTitle>Exploratorium: Frogs</compoundTitle>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:496444</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"30\" width=\"100\">http://crs.nsdl.org/brands/496444.jpg</image>\n"
				+ "                            <altText>New Scientist Web Links: Current picks</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <metadataSource url=\"http://www.exploratorium.edu/frogs\">oai:nsdl.org:2200-20061005112122039T</metadataSource>\n"
				+ "                </fields>\n"
				+ "            </document>\n"
				+ "        </results>\n"
				+ "    </SearchResults>\n"
				+ "</NSDLSearchService>\n";
	}

	/**
	 * @return
	 */
	public static String getFunkyUriResult() {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n"
				+ "<NSDLSearchService xmlns=\"http://ns.nsdl.org/search/rest_v2.01/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dct=\"http://purl.org/dc/terms/\" xmlns:ieee=\"http://www.ieee.org/xsd/LOMv1p0\" xmlns:nsdl_dc=\"http://ns.nsdl.org/nsdl_dc_v1.02/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" schemaVersion=\"2.01.000\" xsi:schemaLocation=\"http://ns.nsdl.org/search/rest_v2.01/ http://ns.nsdl.org/schemas/search/rest_v2.01.xsd\">\n"
				+ "    <responseTime>2007-06-14T13:27:36Z</responseTime>\n"
				+ "    <request>http://myServer/servlet</request>\n"
				+ "    <SearchResults>\n"
				+ "        <resultsInfo>\n"
				+ "            <totalNumResults>50</totalNumResults>\n"
				+ "            <numSkipped>10</numSkipped>\n"
				+ "            <numReturned>1</numReturned>\n"
				+ "        </resultsInfo>\n"
				+ "        <results>\n"
				+ "            <document>\n"
				+ "                <position>0</position>\n"
				+ "                <score>1.0</score>\n"
				+ "                <header>\n"
				+ "                    <resourceIdentifier>http://dx.doi.org/10.1663/0013-0001(2002)056%5B0303:BMMIET%5D2.0.CO;2</resourceIdentifier>\n"
				+ "                    <lastIndexed>2007-06-14T13:27:36Z</lastIndexed>\n"
				+ "                    <metadataLastModified>1970-01-01T00:00:00Z</metadataLastModified>\n"
				+ "                </header>\n"
				+ "                <fields>\n"
				+ "                    <dc:creator>Jenny McCune</dc:creator>\n"
				+ "                    <dc:creator>Hew D. V. Prendergast</dc:creator>\n"
				+ "                    <dc:format xsi:type=\"dct:IMT\">application/pdf</dc:format>\n"
				+ "                    <dc:subject>Life Sciences</dc:subject>\n"
				+ "                    <dc:subject>Plant Sciences</dc:subject>\n"
				+ "                    <dc:subject>Plant Systematics/Taxonomy/Biogeography</dc:subject>\n"
				+ "                    <dc:subject>Plant Anatomy/Development</dc:subject>\n"
				+ "                    <dc:subject>Plant Physiology</dc:subject>\n"
				+ "                    <dc:title>Betula makes music in Europe: Three birch horns from Kew?s economic botany collections</dc:title>\n"
				+ "                    <dct:audience xsi:type=\"nsdl_dc:NSDLEdLevel\">Graduate</dct:audience>\n"
				+ "                    <compoundAgent>Jenny McCune ~^ Hew D. V. Prendergast</compoundAgent>\n"
				+ "                    <compoundAudience>Graduate</compoundAudience>\n"
				+ "                    <compoundGenre>application/pdf</compoundGenre>\n"
				+ "                    <compoundSubject>Life Sciences ~^ Plant Sciences ~^ Plant Systematics/Taxonomy/Biogeography ~^ Plant Anatomy/Development ~^ Plant Physiology</compoundSubject>\n"
				+ "                    <compoundTitle>Betula makes music in Europe: Three birch horns from Kew?s economic botany collections</compoundTitle>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:crs:2577221</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"35\" width=\"100\">http://nsdl.org/images/brands/2577221.jpg</image>\n"
				+ "                            <altText>SpringerLink Online Journals</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <metadataSource url=\"http://dx.doi.org/10.1663/0013-0001(2002)056%5B0303:BMMIET%5D2.0.CO;2\">oai:nsdl.org:2200-20080723200543805T</metadataSource>\n"
				+ "                </fields>\n"
				+ "            </document>\n"
				+ "        </results>\n"
				+ "    </SearchResults>\n"
				+ "</NSDLSearchService>\n";
	}

	/**
	 * @return
	 */
	public static String getFunkyUriResult2() {
		return "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n"
				+ "<NSDLSearchService xmlns=\"http://ns.nsdl.org/search/rest_v2.01/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dct=\"http://purl.org/dc/terms/\" xmlns:ieee=\"http://www.ieee.org/xsd/LOMv1p0\" xmlns:nsdl_dc=\"http://ns.nsdl.org/nsdl_dc_v1.02/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" schemaVersion=\"2.01.000\" xsi:schemaLocation=\"http://ns.nsdl.org/search/rest_v2.01/ http://ns.nsdl.org/schemas/search/rest_v2.01.xsd\">\n"
				+ "    <responseTime>2007-06-14T13:27:36Z</responseTime>\n"
				+ "    <request>http://myServer/servlet</request>\n"
				+ "    <SearchResults>\n"
				+ "        <resultsInfo>\n"
				+ "            <totalNumResults>50</totalNumResults>\n"
				+ "            <numSkipped>10</numSkipped>\n"
				+ "            <numReturned>1</numReturned>\n"
				+ "        </resultsInfo>\n"
				+ "        <results>\n"
				+ "            <document>\n"
				+ "                <position>0</position>\n"
				+ "                <score>1.0</score>\n"
				+ "                <header>\n"
				+ "                    <resourceIdentifier>http://www.informaworld.com/openurl?genre=article&amp;doi=10.1080/00016350601137236&amp;magic=nsdl||04EC22774EDFF581DEDB03A88EF4BB8E</resourceIdentifier>\n"
				+ "                    <lastIndexed>2007-06-14T13:27:36Z</lastIndexed>\n"
				+ "                    <metadataLastModified>1970-01-01T00:00:00Z</metadataLastModified>\n"
				+ "                </header>\n"
				+ "                <fields>\n"
				+ "                    <dc:creator>Fumitake Tsue</dc:creator>\n"
				+ "                    <dc:creator>Yutaka Takahashi</dc:creator>\n"
				+ "                    <dc:creator>Hiroshi Shimizu</dc:creator>\n"
				+ "                    <dc:description>Objective. To evaluate the...</dc:description>\n"
				+ "                    <dc:language xsi:type=\"dct:RFC3066\">EN</dc:language>\n"
				+ "                    <dc:publisher>Informa Healthcare</dc:publisher>\n"
				+ "                    <dc:subject>Denture base resin</dc:subject>\n"
				+ "                    <dc:subject>fiber-reinforced composites</dc:subject>\n"
				+ "                    <dc:subject>flexural strengths at proportional limit</dc:subject>\n"
				+ "                    <dc:subject>reinforcing effect</dc:subject>\n"
				+ "                    <dc:subject>reinforcing efficiency</dc:subject>\n"
				+ "                    <dc:title>Reinforcing effect of glass-fiber-reinforced composite on flexural strength at the proportional limit of denture base resin</dc:title>\n"
				+ "                    <dc:type xsi:type=\"dct:DCMIType\">Text</dc:type>\n"
				+ "                    <dct:audience xsi:type=\"nsdl_dc:NSDLEdLevel\">Graduate</dct:audience>\n"
				+ "                    <dct:bibliographicCitation>Acta Odontologica Scandinavica 65(3), 141-148. (2007)</dct:bibliographicCitation>\n"
				+ "                    <dct:isPartOf>urn:ISSN:0001-6357</dct:isPartOf>\n"
				+ "                    <dct:isPartOf>urn:EISSN:1502-3850</dct:isPartOf>\n"
				+ "                    <dct:issued xsi:type=\"dct:W3CDTF\">2007</dct:issued>\n"
				+ "                    <compoundAgent>Fumitake Tsue ~^ Yutaka Takahashi ~^ Hiroshi Shimizu ~^ Informa Healthcare</compoundAgent>\n"
				+ "                    <compoundAudience>Graduate</compoundAudience>\n"
				+ "                    <compoundDescription>Objective. To evaluate the...</compoundDescription>\n"
				+ "                    <compoundGenre>Text</compoundGenre>\n"
				+ "                    <compoundSubject>Denture base resin ~^ fiber-reinforced composites ~^ flexural strengths at proportional limit ~^ reinforcing effect ~^ reinforcing efficiency</compoundSubject>\n"
				+ "                    <compoundTitle>Reinforcing effect of glass-fiber-reinforced composite on flexural strength at the proportional limit of denture base resin</compoundTitle>\n"
				+ "                    <collContext>\n"
				+ "                        <oai-id>oai:nsdl.org:ncs:NSDL-COLLECTION-000-003-111-950</oai-id>\n"
				+ "                        <brand>\n"
				+ "                            <image height=\"30\" width=\"100\">http://nsdl.org/images/brands/NSDL-COLLECTION-000-003-111-950.jpg</image>\n"
				+ "                            <altText>Taylor and Francis Group</altText>\n"
				+ "                        </brand>\n"
				+ "                    </collContext>\n"
				+ "                    <metadataSource url=\"http://www.informaworld.com/openurl?genre=article&amp;doi=10.1080/00016350601137236&amp;magic=nsdl||04EC22774EDFF581DEDB03A88EF4BB8E\">oai:nsdl.org:2200-20080619200524060T</metadataSource>\n"
				+ "                </fields>\n"
				+ "            </document>\n"
				+ "        </results>\n"
				+ "    </SearchResults>\n"
				+ "</NSDLSearchService>\n";
	}

	private SampleQueryResults() {
		// Nothing here to instantiate.
	}

}
